/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "MAGMA", "index.html", [
    [ "MAGMA Users' Guide", "index.html", null ],
    [ "Collaborators", "authors.html", null ],
    [ "Installing MAGMA", "installing.html", null ],
    [ "Running tests", "testing.html", null ],
    [ "Example", "example.html", null ],
    [ "Overview", "routines.html", [
      [ "Driver routines", "routines.html#driver", null ],
      [ "Computational routines", "routines.html#comp", null ],
      [ "BLAS routines", "routines.html#blas", [
        [ "Linking to BLAS", "installing.html#autotoc_md28", null ],
        [ "Compile-time options", "installing.html#autotoc_md29", null ],
        [ "Run-time options", "installing.html#autotoc_md30", null ],
        [ "Building without Fortran", "installing.html#autotoc_md31", null ],
        [ "Building shared libraries", "installing.html#autotoc_md32", null ],
        [ "Building static libraries", "installing.html#autotoc_md33", null ],
        [ "Installation", "installing.html#autotoc_md34", null ],
        [ "Tuning", "installing.html#autotoc_md35", null ],
        [ "BLAS-1: vector operations", "routines.html#autotoc_md36", null ],
        [ "BLAS-2: matrix-vector operations", "routines.html#autotoc_md37", null ],
        [ "BLAS-3: matrix-matrix operations", "routines.html#autotoc_md38", null ]
      ] ],
      [ "Auxiliary routines", "routines.html#aux", null ],
      [ "Utility routines", "routines.html#util", [
        [ "Memory Allocation", "routines.html#autotoc_md39", null ],
        [ "Communication", "routines.html#autotoc_md40", null ]
      ] ],
      [ "Data types & complex numbers", "routines.html#types", [
        [ "Integers", "routines.html#autotoc_md41", null ],
        [ "Complex numbers", "routines.html#autotoc_md42", null ]
      ] ],
      [ "Conventions for variables", "routines.html#variables", null ],
      [ "Constants", "routines.html#constants", null ],
      [ "Errors", "routines.html#errors", null ],
      [ "Methodology", "routines.html#methodology", [
        [ "One-sided matrix factorizations", "routines.html#autotoc_md43", null ],
        [ "Two-sided matrix factorizations", "routines.html#autotoc_md44", null ]
      ] ]
    ] ],
    [ "Sparse Overview", "_m_a_g_m_a-sparse.html", [
      [ "The MAGMA-sparse Package", "_m_a_g_m_a-sparse.html#autotoc_md45", null ],
      [ "Sparse Data Structures", "_m_a_g_m_a-sparse.html#datastructures", null ],
      [ "Sparse I/O", "_m_a_g_m_a-sparse.html#io", null ],
      [ "Matrix Formats", "_m_a_g_m_a-sparse.html#formats", null ],
      [ "Memory Handling", "_m_a_g_m_a-sparse.html#memorhandling", null ],
      [ "Iterative Solvers", "_m_a_g_m_a-sparse.html#sparsesolvers", [
        [ "-2 = convergence but stopping criterion not met within maxiter", "_m_a_g_m_a-sparse.html#autotoc_md46", null ]
      ] ],
      [ "Example", "_m_a_g_m_a-sparse.html#sparseexample", null ]
    ] ],
    [ "Contributors' Guide", "contributors-guide.html", [
      [ "Coding Style", "contributors-guide.html#style", null ],
      [ "Naming Conventions", "contributors-guide.html#naming", null ],
      [ "Coding Practices", "contributors-guide.html#coding", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Routines", "modules.html", "modules" ],
    [ "cgehrd_data", "structcgehrd__data.html", null ],
    [ "cgemm_task", "classcgemm__task.html", null ],
    [ "claswp_params_t", "structclaswp__params__t.html", null ],
    [ "claswp_sym_params_t", "structclaswp__sym__params__t.html", null ],
    [ "dgehrd_data", "structdgehrd__data.html", null ],
    [ "dgemm_task", "classdgemm__task.html", null ],
    [ "dlaswp_params_t", "structdlaswp__params__t.html", null ],
    [ "dlaswp_sym_params_t", "structdlaswp__sym__params__t.html", null ],
    [ "gbstrct_blg", "structgbstrct__blg.html", null ],
    [ "hlaswp_params_t", "structhlaswp__params__t.html", null ],
    [ "magma_capplyQ_data_s", "structmagma__capply_q__data__s.html", null ],
    [ "magma_capplyQ_id_data", "structmagma__capply_q__id__data.html", null ],
    [ "magma_capplyQ_m_data", "classmagma__capply_q__m__data.html", null ],
    [ "magma_capplyQ_m_id_data", "classmagma__capply_q__m__id__data.html", null ],
    [ "magma_cbulge_data_s", "structmagma__cbulge__data__s.html", null ],
    [ "magma_cbulge_id_data_s", "structmagma__cbulge__id__data__s.html", null ],
    [ "magma_clatrsd_task", "classmagma__clatrsd__task.html", null ],
    [ "magma_dapplyQ_data_s", "structmagma__dapply_q__data__s.html", null ],
    [ "magma_dapplyQ_id_data", "structmagma__dapply_q__id__data.html", null ],
    [ "magma_dapplyQ_m_data", "classmagma__dapply_q__m__data.html", null ],
    [ "magma_dapplyQ_m_id_data", "classmagma__dapply_q__m__id__data.html", null ],
    [ "magma_dbulge_data_s", "structmagma__dbulge__data__s.html", null ],
    [ "magma_dbulge_id_data_s", "structmagma__dbulge__id__data__s.html", null ],
    [ "magma_device_info", "structmagma__device__info.html", null ],
    [ "magma_dlaqtrsd_task", "classmagma__dlaqtrsd__task.html", null ],
    [ "magma_queue", "structmagma__queue.html", "structmagma__queue" ],
    [ "magma_sapplyQ_data_s", "structmagma__sapply_q__data__s.html", null ],
    [ "magma_sapplyQ_id_data", "structmagma__sapply_q__id__data.html", null ],
    [ "magma_sapplyQ_m_data", "classmagma__sapply_q__m__data.html", null ],
    [ "magma_sapplyQ_m_id_data", "classmagma__sapply_q__m__id__data.html", null ],
    [ "magma_sbulge_data_s", "structmagma__sbulge__data__s.html", null ],
    [ "magma_sbulge_id_data_s", "structmagma__sbulge__id__data__s.html", null ],
    [ "magma_slaqtrsd_task", "classmagma__slaqtrsd__task.html", null ],
    [ "magma_task", "classmagma__task.html", null ],
    [ "magma_thread_queue", "classmagma__thread__queue.html", "classmagma__thread__queue" ],
    [ "magma_zapplyQ_data_s", "structmagma__zapply_q__data__s.html", null ],
    [ "magma_zapplyQ_id_data", "structmagma__zapply_q__id__data.html", null ],
    [ "magma_zapplyQ_m_data", "classmagma__zapply_q__m__data.html", null ],
    [ "magma_zapplyQ_m_id_data", "classmagma__zapply_q__m__id__data.html", null ],
    [ "magma_zbulge_data_s", "structmagma__zbulge__data__s.html", null ],
    [ "magma_zbulge_id_data_s", "structmagma__zbulge__id__data__s.html", null ],
    [ "magma_zlatrsd_task", "classmagma__zlatrsd__task.html", null ],
    [ "magmagpu_cswapblk_params_t", "structmagmagpu__cswapblk__params__t.html", null ],
    [ "magmagpu_dswapblk_params_t", "structmagmagpu__dswapblk__params__t.html", null ],
    [ "magmagpu_sswapblk_params_t", "structmagmagpu__sswapblk__params__t.html", null ],
    [ "magmagpu_zswapblk_params_t", "structmagmagpu__zswapblk__params__t.html", null ],
    [ "PthreadMutex", "class_pthread_mutex.html", null ],
    [ "sgehrd_data", "structsgehrd__data.html", null ],
    [ "sgemm_task", "classsgemm__task.html", null ],
    [ "slaswp_params_t", "structslaswp__params__t.html", null ],
    [ "slaswp_sym_params_t", "structslaswp__sym__params__t.html", null ],
    [ "zgehrd_data", "structzgehrd__data.html", null ],
    [ "zgemm_task", "classzgemm__task.html", null ],
    [ "zlaswp_params_t", "structzlaswp__params__t.html", null ],
    [ "zlaswp_sym_params_t", "structzlaswp__sym__params__t.html", null ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_m_a_g_m_a-sparse.html",
"group__magma__error__internal.html#ga3f59d2a8f6dd91eb0dd45fa2828d2732",
"group__magma__gerfs__nopiv.html",
"group__magma__getvector.html#gaa112c810da4fcc2164052e6123a0ac03",
"group__magma__hetrd__hb2st.html#gaf1fbb492481698e1b442c886c94fbb06",
"group__magma__laset.html#ga40619dd2289364e7bdcef9cec90a90cb",
"group__magma__queue.html#ga7a24bc34ee11fdd109e8c21b551400eb",
"group__magma__trevc.html#ga50f51280487b0ce62a08fed05b9e72df",
"group__magma__tuning.html#gaf7d678525657ef3123e2cb7f2d9d87e6",
"group__magmasparse__caux.html#ga964b963d4c8ce9e9eb396424ad2206dc",
"group__magmasparse__csygpuk.html#gaf43d160544ea90dd627b733196777084",
"group__magmasparse__dgegpuk.html#ga9f05bb53f826983843172464c5ee16c1",
"group__magmasparse__saux.html#gabaf4abef62c04ce48c8f54179733886c",
"group__magmasparse__zaux.html#ga16ac97fb5a9ca7344026a43194c759b9",
"group__magmasparse__zgegpuk.html#gafea638dd3aef7c6e18a0cbc07a8c2e2c"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';